### Method

# FwupdPlugin Volume locker

since: 1.4.6

#### Declaration [src]

    FuDeviceLocker*
    fu_volume_locker (
      FuVolume* self
      GError** error
    )

#### Description [src]

Locks the volume, mounting it and unmounting it as required. If the volume is already mounted then it is is not unmounted when the locker is closed.

Available since: 1.4.6

#### Return value

Type: `FuDeviceLocker`

A device locker for success, or `NULL`.

The caller of the method takes ownership of the data, and is responsible for freeing it.